=== debian/changelog ===
ros-melodic-rqt-paramedit (1.0.1-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Christian Dornhege <c.dornhege@gmail.com>  Thu, 12 Aug 2021 14:21:26 -0000
